<?php
/**
 * @category   Alogic
 * @package    Alogic_Dealregistration
 * @author     dushyantjoshia@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace Alogic\Dealregistration\Block;

/**
 * Dealregistration content block
 */
class Dealregistration extends \Magento\Framework\View\Element\Template {
	protected $directoryBlock;
	protected $_isScopePrivate;

	public function __construct(
		\Magento\Directory\Block\Data $directoryBlock,
		\Magento\Framework\View\Element\Template\Context $context
	) {
		$this->_isScopePrivate = true;
		$this->directoryBlock = $directoryBlock;		
		parent::__construct($context);
	}
	public function getCountries($name = NULL)
	{
		$country = $this->directoryBlock->getCountryHtmlSelect(null, $name,$name);
		return $country;
	}
	public function getRegion($name = NULL)
	{
		$region = $this->directoryBlock->getRegionSelect(null, $name,$name);
		return $region;
	}
	public function getCountryAction()
	{
		return $this->getUrl('dealregistration/form/country', ['_secure' => true]);
	}
	public function _prepareLayout() {

		$title = __('Register your deals');

		$breadcrumbsBlock = $this->getLayout()->getBlock('breadcrumbs');
		$breadcrumbsBlock->addCrumb(
			'home',
			[
				'label' => __('Home'),
				'title' => __('Go to Home Page'),
				'link' => $this->_storeManager->getStore()->getBaseUrl(),
			]
		);

		$breadcrumbsBlock->addCrumb('dealregistration', ['label' => $title, 'title' => $title]);

		$this->pageConfig->getTitle()->set($title);
		return parent::_prepareLayout();
	}
}
